#
# spec file for package python-repoze.what-pylons
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-repoze.what-pylons
Version:        1.0
Release:        2.15
Url:            http://what.repoze.org/docs/plugins/pylons/
Summary:        The repoze.what v1 plugin for Pylons/TG2 integration
License:        BSD-derived (http://www.repoze.org/LICENSE.txt)
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/r/repoze.what-pylons/repoze.what-pylons-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-Sphinx
Requires:       python-repoze.what
Requires:       python-Pylons
Provides:       python-repoze-what-pylons = %{version}
Obsoletes:      python-repoze-what-pylons < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This is an extras plugin for repoze.what which provides optional and handy 
utilities for Pylons applications using this authorization framework.

Some of the features of the plugin include:

* The utilities are ready to use: There's nothing additional to be
  configured before using.
* 100% documented. Each component is documented along with code samples.
* The test suite has a coverage of 100% and it will never decrease -- if
  it ever does, report it as a bug!
* TurboGears 2 is officially supported as well.

%prep
%setup -q -n repoze.what-pylons-%{version}

%build
python setup.py build
cd docs && make html && rm -r build/html/.buildinfo # Generate HTML docs

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt docs/build/html
%{python_sitelib}/*

%changelog
* Wed Feb  1 2012 saschpe@suse.de
- Initial version
